<html>
	<head>
	<style>
	pre{
		background:#eee;
		margin:10px;
		width:calc(100% - 40px);
		padding:10px;
		border-radius:6px;
		word-wrap:break-word;
	}
	code{
		background:#ebb;
		margin:10px;
		padding:10px;
		border-radius:6px;
		word-wrap:break-word;
		margin:10px;
		padding:10px;
	}
	</style>

	<script>
		function changeStateOfInputs()
		{
			var v = document.getElementsByTagName("input");
			for (var i = 0; i < v.length; i++)
				v[i].disabled = !v[i].disabled;
		}
		function sendData()
		{
			changeStateOfInputs();
			var query = document.getElementById("command").value;
			var xhttp = new XMLHttpRequest();
			xhttp.open("POST", "index.php?action=command");
			xhttp.onreadystatechange = function() {
				if(xhttp.readyState === XMLHttpRequest.DONE && xhttp.status === 200) 
				{
					var element = "<pre>"+xhttp.responseText+"</pre>";
					var gameLog = document.getElementById('gameLog');
					gameLog.insertAdjacentHTML('beforeend', element);
					gameLog.scrollTop = gameLog.scrollHeight;
					changeStateOfInputs();
				}
			};
			xhttp.send(query);
			var element = "<code>"+query+"</code>";
			var gameLog = document.getElementById('gameLog');
			gameLog.insertAdjacentHTML('beforeend', element);
			gameLog.scrollTop = gameLog.scrollHeight;
			
		}
		function logout()
		{
			var xhttp = new XMLHttpRequest();
			xhttp.open("GET", "index.php?action=logout");
			xhttp.onreadystatechange = function() {
				if(xhttp.readyState === XMLHttpRequest.DONE && xhttp.status === 200) 
				{
					location.assign(location.href);
				}
			};
			xhttp.send();
		}
	</script>
	</head>
	<body style="width:calc(100% - 20px); height: calc(100% - 20px); min-height:500px; padding:10px; margin:0px;">
		<div style="width:100%; height: 30px;">
			<div style="float:left; margin-right:10px">Query</div>
			<form action="#">
				<input type="input" id="command" style="width:calc(100% - 700px); float:left">
				<input type="submit" onclick="sendData()" style="float:left">
			</form>
			<input type="submit" onclick="logout()" style="float:right" value="Log out">
		</div>
		<div id ="gameLog" style="width:100%; height:calc(100% - 40px); min-height:500px; border-style:solid; border-width:1px; overflow-y:auto;">
		</div>
	</body>
</html>